PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!


 
 
  1. #1

    [Answered] Need help about Castlevania Lords of Shadow?

    Hi all!

    i've just bought Castlevania: Lords of Shadow asian version. It require 3.42 but my PS3 still 3.41. So what can i do to play this game ? If i update to 3.42 that mean say goodbye jailbreak. Sony is messed up. I hate them.

    thanks for any helps.

    Game ID is BLAS-50248
    Last edited by tranvanthien; 10-31-2010 at 12:08 PM Reason: Automerged Doublepost
    Best Answer - Posted by PS4 News:

    See these threads for how to run 3.42+ games on 3.41:

    http://www.ps4news.com/forums/ps3-ha...-a-114144.html

    http://www.ps4news.com/forums/ps3-ha...ak-114330.html

  2. #2
    Join Date
    Apr 2005
    Posts
    30,161

 
Closed Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •